class Dropbox::DeliveriesController < Workgroup::DeliveriesController
  before_filter :find_dropbox, :check_send_permissions, only: [:new, :create]

  helper :deliveries
  helper :send

  def find_dropbox
    @dropbox = current_user.writable_e_workgroups.dropboxes.find(params[:dropbox_id])
  end

  def new
    super # in PackageMethods
  end

  def create
    submit # in PackageMethods
  end

  private

  def transfer_host
    @dropbox.default_transfer_host(request)
  end
end
