package = @delivery.e_package
@delivery = @delivery.delivery # RecipientDelivery => Delivery, Delivery => Delivery
status = package.package_status_for_inbox_feed
unopened = !package.user_viewed?(current_user.id)

xml.title(@delivery.title)
xml.content(@delivery.note)
@delivery.metadata_xml(:builder => xml)
xml.id(package.e_package_uuid)
xml.sequence_id(@delivery.sequence_id)
xml.published(@delivery.created_at.utc.strftime("%Y-%m-%dT%H:%M:%SZ"))
xml.updated(@delivery.updated_at.utc.strftime("%Y-%m-%dT%H:%M:%SZ"))
if @delivery.e_package.completed?
  xml.completed(@delivery.completed_at.utc.strftime("%Y-%m-%dT%H:%M:%SZ"))
else
  xml.completed
end
xml.tag!('package:property', 'type' => status) if status && package.toplevel_items.empty?
xml.tag!('package:property', 'type' => 'unopened') if unopened
xml.author do
  xml.name(@delivery.sender_name)
  xml.email(@delivery.sender.try(:email))
end
@delivery.recipient_deliveries.public.each do |rd|
  xml.tag!('package:to') do
    xml.tag!('package:name', rd.recipient_name)
    if (rd.recipient && rd.recipient.respond_to?(:email))
      xml.tag!('package:email', rd.recipient.email)
    end
  end
end
if current_user == @delivery.sender
  @delivery.recipient_deliveries.private.each do |rd|
    xml.tag!('package:to_private') do
      xml.tag!('package:name', rd.recipient_name)
      if (rd.recipient && rd.recipient.respond_to?(:email))
        xml.tag!('package:email', rd.recipient.email)
      end
    end
  end
end
if package.inner_directory_exists? && current_user.downloads_allowed?
  include_token = current_user.is_a?(ExternalUser)
  host = @delivery.default_transfer_host(request)
  xml.link(
    'rel' => 'package',
    'href' => @delivery.get_transfer_spec(ESession::DIRECTION_DOWNLOAD, ['/'], current_user,
        :token => include_token, :host => host).to_fasp_url.to_s
  )
  package.toplevel_items.each do |item|
    xml.link(
      'rel' => 'enclosure',
      'href' => @delivery.get_transfer_spec(ESession::DIRECTION_DOWNLOAD, [item.basename], current_user,
          :token => include_token, :host => host).to_fasp_url.to_s,
      'size' => item.size,
      'type' => item.type
    )
  end
end
